Name:		gkrellm-sun
Version:	1.0.0
Release:	8.1
License:	GPL
Group:		System/Monitoring
Summary:	gkrellm sun plugin
URL:		http://gkrellsun.sourceforge.net/
Source0:	gkrellsun-%{version}.tar.gz
Patch0:		gkrellsun-%{version}.diff
Patch1:		gkrellsun-%{version}_64.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	gkrellm > 2
BuildRequires:	gkrellm > 2 pkgconfig gtk2-devel
%if 0%{?fedora_version}
BuildRequires:	gkrellm-devel
%endif

%description
Sun plugin for gkrellm.

%prep

%setup -n gkrellsun-%{version}

%patch0 -p1
%ifarch x86_64
%patch1
%endif

%__make

%install
%__make DESTDIR=%{buildroot} install

%clean
rm -rf $RPM_BUILD_ROOT/%{name}-%{version}*
rm -rf %{_tmppath}/%{name}-%{version}-build


%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
%dir %{_libdir}/gkrellm2
%dir %{_libdir}/gkrellm2/plugins
%{_libdir}/gkrellm2/plugins/gkrellsun.*

%changelog
* Sun Jul 13 2008 Carsten Schoene <cs@linux-administrator.com>
- update to 1.0.0
- buildservice import

* Sat Apr 23 2005 Carsten Schoene <cs@linux-administrator.com>
- Initial Package, Version 0.12.2
